commit:     8ab38fc1c33bdb94c7ef471e6d8582d6777ce48d
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 22 15:53:08 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Jan 22 16:20:54 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8ab38fc1

app-emacs/racket-mode: bump to 1_p20250122

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/racket-mode/Manifest                     |  1 +
 .../racket-mode/racket-mode-1_p20250122.ebuild     | 77 ++++++++++++++++++++++
 2 files changed, 78 insertions(+)

diff --git a/app-emacs/racket-mode/Manifest b/app-emacs/racket-mode/Manifest
index 909b8d5cf095..b5d7297c694d 100644
--- a/app-emacs/racket-mode/Manifest
+++ b/app-emacs/racket-mode/Manifest
@@ -1,2 +1,3 @@
 DIST racket-mode-1_p20241031.tar.gz 391981 BLAKE2B 
a2e81a6cf3fe79bdd4c6ca0d92bd3e62befaccd0b7ac53d4d801fad0eb98a409e03d5d7c94bbc15adcbc864a93aef3519eb97a4812f7971c954e53a0c9fbe3f9
 SHA512 
1003c4fb6176d5740be990380243870822a92a0d9c8db7c633a18334b7c9dc46b0821d4b351386744ba69a0cf2ccbe9b0cb1090dc5c11809ff7770328950f559
 DIST racket-mode-1_p20241207.tar.gz 394972 BLAKE2B 
7ec9a7bed8c488dcbf70205894c34070e95fc99c42c0a5e0998541096c1cfc09944551b593c2124a5fdac586fbe2558f03eaef2a5fd47bcae0e1ed53790bbfa3
 SHA512 
e3325619fabfaceccc985c1ef905a770e0a9da72eae97be3b5aa7712e73f2766eac865b24f745a06c19c2ae7209405cb0a585aa671a90db19873e511469b47ca
+DIST racket-mode-1_p20250122.tar.gz 399114 BLAKE2B 
a5b3246921ed17afcd042edb720b32fc2957500ae732d6b4fe69fdda6a94c03fc11efae67265ec3e4512db8bab00bebd817d3cbd25c9d2ee59501084226fba96
 SHA512 
ac5f8b78a3ee3475f3bd85f945527709a3939aa9d69ee12264438a92432eb7c81d1429758138943ba566e7f3d4e2f8102796e4fd71a98cb1caa64be7cacc279e

diff --git a/app-emacs/racket-mode/racket-mode-1_p20250122.ebuild 
b/app-emacs/racket-mode/racket-mode-1_p20250122.ebuild
new file mode 100644
index 000000000000..73c84d5ab971
--- /dev/null
+++ b/app-emacs/racket-mode/racket-mode-1_p20250122.ebuild
@@ -0,0 +1,77 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit elisp
+
+DESCRIPTION="Emacs modes for Racket: edit, REPL, check-syntax, debug, profile, 
and more"
+HOMEPAGE="https://www.racket-mode.com/
+       https://github.com/greghendershott/racket-mode/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/greghendershott/${PN}.git";
+else
+       [[ "${PV}" == *_p20250122 ]] && \
+               COMMIT="142c36c13de9f9e5e02cef965fb6517235699dd4"
+
+       
SRC_URI="https://github.com/greghendershott/${PN}/archive/${COMMIT}.tar.gz
+               -> ${P}.tar.gz"
+       S="${WORKDIR}/${PN}-${COMMIT}"
+
+       KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+RDEPEND="
+       dev-scheme/racket:=[-minimal]
+"
+BDEPEND="
+       ${RDEPEND}
+"
+
+ELISP_REMOVE="
+       test/racket/hash-lang-test.rkt
+"
+PATCHES=(
+       "${FILESDIR}/${PN}-rkt-source-dir.patch"
+)
+
+DOCS=( CONTRIBUTING.org README.org THANKS.org )
+ELISP_TEXINFO="doc/${PN}.texi"
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+       elisp_src_prepare
+
+       sed "s|@SITEETC@|${SITEETC}/${PN}|" -i "${S}/racket-util.el" || die
+}
+
+src_compile() {
+       elisp_src_compile
+
+       # Equivalent to compiling from Emacs with "racket-mode-start-faster",
+       # because this is installed globally we have to compile it now.
+       ebegin "Compiling Racket source files"
+       find "${S}/racket" -type f -name "*.rkt" -exec raco make -v {} +
+       eend $? "failed to compile Racket source files" || die
+}
+
+src_test() {
+       # Set "PLTUSERHOME" to a safe temp directory to prevent writing to "~".
+       local -x PLTUSERHOME="${T}/racket-mode/test-racket"
+
+       emake test-racket
+}
+
+src_install() {
+       elisp_src_install
+
+       # Install Racket files to "${SITEETC}".
+       insinto "${SITEETC}/${PN}"
+       doins -r racket
+}

Reply via email to